<?xml version="1.0" encoding="UTF-8"?>
<testng-results ignored="0" total="28" passed="28" failed="0" skipped="0">
  <reporter-output>
  </reporter-output>
  <suite started-at="2021-04-01T02:51:46 IST" name="jsonmapper test scenarios" finished-at="2021-04-01T02:51:46 IST" duration-ms="75">
    <groups>
    </groups>
    <test started-at="2021-04-01T02:51:46 IST" name="all_scenarios" finished-at="2021-04-01T02:51:46 IST" duration-ms="75">
      <class name="id.jsonmapper.test.scenarios.s01.ScenarioSet01">
        <test-method signature="test01()[pri:0, instance:id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505]" started-at="2021-04-01T02:51:46 IST" name="test01" finished-at="2021-04-01T02:51:46 IST" duration-ms="1" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- test01 -->
        <test-method signature="test03()[pri:0, instance:id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505]" started-at="2021-04-01T02:51:46 IST" name="test03" finished-at="2021-04-01T02:51:46 IST" duration-ms="1" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- test03 -->
        <test-method signature="test02()[pri:0, instance:id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505]" started-at="2021-04-01T02:51:46 IST" name="test02" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- test02 -->
        <test-method signature="test05()[pri:0, instance:id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505]" started-at="2021-04-01T02:51:46 IST" name="test05" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- test05 -->
      </class> <!-- id.jsonmapper.test.scenarios.s01.ScenarioSet01 -->
      <class name="id.jsonmapper.test.scenarios._02.TestForNumericValues">
        <test-method signature="_01()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_01" description="missing json field populates to an int value of 0" finished-at="2021-04-01T02:51:46 IST" duration-ms="30" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _01 -->
        <test-method signature="_02()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_02" description="missing json field populates to an Integer value of null" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _02 -->
        <test-method signature="_03()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_03" description="numeric json field populates to an int value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="1" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _03 -->
        <test-method signature="_04()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_04" description="numeric json field populates to an Integer value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _04 -->
        <test-method signature="_05()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_05" description="json string field that is numeric populates to an int value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _05 -->
        <test-method signature="_07()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_07" description="json string field that is alphanumeric populates to an int value of 0" finished-at="2021-04-01T02:51:46 IST" duration-ms="6" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _07 -->
        <test-method signature="_06()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_06" description="json string field that is numeric populates to an Integer value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _06 -->
        <test-method signature="_08()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_08" description="json string field that is alphanumeric populates to an Integer value of null" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _08 -->
        <test-method signature="_09()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_09" description="missing json field populates to a float value of 0" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _09 -->
        <test-method signature="_10()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_10" description="missing json field populates to a Float value of null" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _10 -->
        <test-method signature="_12()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_12" description="numeric json field populates to a Float value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="1" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _12 -->
        <test-method signature="_11()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_11" description="numeric json field populates to a float value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _11 -->
        <test-method signature="_13()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_13" description="json string field that is numeric populates to a float value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _13 -->
        <test-method signature="_14()[pri:0, instance:id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3]" started-at="2021-04-01T02:51:46 IST" name="_14" description="json string field that is numeric populates to a Float value correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _14 -->
      </class> <!-- id.jsonmapper.test.scenarios._02.TestForNumericValues -->
      <class name="id.jsonmapper.test.scenarios._03.TestForBooleanValues">
        <test-method signature="_01()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_01" description="missing json field populates to a value of false" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _01 -->
        <test-method signature="_02()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_02" description="json boolean field with value of true is loaded correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _02 -->
        <test-method signature="_03()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_03" description="json string field with value of &#039;true&#039; is loaded correctly" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _03 -->
        <test-method signature="_05()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_05" description="missing json field populates to a Boolean value of null" finished-at="2021-04-01T02:51:46 IST" duration-ms="1" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _05 -->
        <test-method signature="_04()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_04" description="json string field with value other than &#039;true&#039; populates to a value of false" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _04 -->
        <test-method signature="_06()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_06" description="json boolean field with value of true populates to a Boolean value of TRUE" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _06 -->
        <test-method signature="_07()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_07" description="json string field with value of &#039;true&#039; populates to a Boolean value of TRUE" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _07 -->
        <test-method signature="_08()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_08" description="json boolean field with value of false populates to a Boolean value of FALSE" finished-at="2021-04-01T02:51:46 IST" duration-ms="1" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _08 -->
        <test-method signature="_09()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_09" description="json string field with value of &#039;false&#039; populates to a Boolean value of FALSE" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _09 -->
        <test-method signature="_10()[pri:0, instance:id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b]" started-at="2021-04-01T02:51:46 IST" name="_10" description="json string field with value other than &#039;true&#039; or &#039;false&#039; populates to a Boolean value of null" finished-at="2021-04-01T02:51:46 IST" duration-ms="0" status="PASS">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- _10 -->
      </class> <!-- id.jsonmapper.test.scenarios._03.TestForBooleanValues -->
    </test> <!-- all_scenarios -->
  </suite> <!-- jsonmapper test scenarios -->
</testng-results>
